import { Row } from '@tanstack/react-table';

interface DataTableRowActionsProps<TData> {
    row: Row<TData>;
    onEdit?: (data: TData) => void;
    onDelete?: (data: TData) => void;
    isDeleteDisabled?: (data: TData) => boolean;
    otherActions?: {
        action: string;
        onAction: (data: TData) => void;
        hidden?: (data: TData) => boolean;
    }[];
}
export declare function DataTableRowActions<TData>({ row, onEdit, onDelete, isDeleteDisabled, otherActions, }: DataTableRowActionsProps<TData>): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=data-table-row-actions.d.ts.map