import { j as a } from "./index.es69.js";
import * as t from "react";
import { ChevronRightIcon as n, DotsHorizontalIcon as c } from "@radix-ui/react-icons";
import { Slot as d } from "@radix-ui/react-slot";
import { cn as o } from "./index.es68.js";
const l = t.forwardRef(({ ...r }, e) => /* @__PURE__ */ a.jsx("nav", { ref: e, "aria-label": "breadcrumb", ...r }));
l.displayName = "Breadcrumb";
const p = t.forwardRef(({ className: r, ...e }, s) => /* @__PURE__ */ a.jsx(
  "ol",
  {
    ref: s,
    className: o(
      "flex flex-wrap items-center gap-1.5 break-words text-sm text-muted-foreground sm:gap-2.5",
      r
    ),
    ...e
  }
));
p.displayName = "BreadcrumbList";
const u = t.forwardRef(({ className: r, ...e }, s) => /* @__PURE__ */ a.jsx(
  "li",
  {
    ref: s,
    className: o("inline-flex items-center gap-1.5", r),
    ...e
  }
));
u.displayName = "BreadcrumbItem";
const f = t.forwardRef(({ asChild: r, className: e, ...s }, m) => {
  const i = r ? d : "a";
  return /* @__PURE__ */ a.jsx(
    i,
    {
      ref: m,
      className: o("transition-colors hover:text-foreground", e),
      ...s
    }
  );
});
f.displayName = "BreadcrumbLink";
const x = t.forwardRef(({ className: r, ...e }, s) => /* @__PURE__ */ a.jsx(
  "span",
  {
    ref: s,
    role: "link",
    "aria-disabled": "true",
    "aria-current": "page",
    className: o("font-normal text-foreground", r),
    ...e
  }
));
x.displayName = "BreadcrumbPage";
const b = ({
  children: r,
  className: e,
  ...s
}) => /* @__PURE__ */ a.jsx(
  "li",
  {
    role: "presentation",
    "aria-hidden": "true",
    className: o("[&>svg]:size-3.5", e),
    ...s,
    children: r ?? /* @__PURE__ */ a.jsx(n, {})
  }
);
b.displayName = "BreadcrumbSeparator";
const N = ({
  className: r,
  ...e
}) => /* @__PURE__ */ a.jsxs(
  "span",
  {
    role: "presentation",
    "aria-hidden": "true",
    className: o("flex h-9 w-9 items-center justify-center", r),
    ...e,
    children: [
      /* @__PURE__ */ a.jsx(c, { className: "h-4 w-4" }),
      /* @__PURE__ */ a.jsx("span", { className: "sr-only", children: "More" })
    ]
  }
);
N.displayName = "BreadcrumbElipssis";
export {
  l as Breadcrumb,
  N as BreadcrumbEllipsis,
  u as BreadcrumbItem,
  f as BreadcrumbLink,
  p as BreadcrumbList,
  x as BreadcrumbPage,
  b as BreadcrumbSeparator
};
//# sourceMappingURL=index.es46.js.map
