import { j as a } from "./index.es69.js";
import * as d from "react";
import { Slot as u } from "@radix-ui/react-slot";
import { cva as c } from "class-variance-authority";
import { cn as m } from "./index.es68.js";
const f = c(
  "inline-flex items-center justify-center whitespace-nowrap rounded-md text-sm font-medium transition-colors focus-visible:outline-none focus-visible:ring-1 focus-visible:ring-ring disabled:pointer-events-none disabled:opacity-50",
  {
    variants: {
      variant: {
        default: "bg-primary text-primary-foreground shadow hover:bg-primary/90",
        destructive: "bg-destructive text-destructive-foreground shadow-sm hover:bg-destructive/90",
        outline: "border border-input bg-background shadow-sm hover:bg-accent hover:text-accent-foreground",
        secondary: "bg-secondary text-secondary-foreground shadow-sm hover:bg-secondary/80",
        ghost: "hover:bg-accent hover:text-accent-foreground",
        link: "text-primary underline-offset-4 hover:underline"
      },
      size: {
        default: "h-9 px-4 py-2",
        sm: "h-8 rounded-md px-3 text-xs",
        lg: "h-10 rounded-md px-8",
        icon: "h-9 w-9"
      }
    },
    defaultVariants: {
      variant: "default",
      size: "default"
    }
  }
), l = d.forwardRef(
  ({ className: e, variant: t, size: r, asChild: o = !1, ...n }, s) => {
    const i = o ? u : "button";
    return /* @__PURE__ */ a.jsx(
      i,
      {
        className: m(f({ variant: t, size: r, className: e })),
        ref: s,
        ...n
      }
    );
  }
);
l.displayName = "Button";
export {
  l as Button,
  f as buttonVariants
};
//# sourceMappingURL=index.es8.js.map
