import { j as t } from "./index.es69.js";
import * as l from "react";
import { CaretSortIcon as m, ChevronUpIcon as p, ChevronDownIcon as f, CheckIcon as u } from "@radix-ui/react-icons";
import * as e from "@radix-ui/react-select";
import { cn as r } from "./index.es68.js";
const S = e.Root, v = e.Group, I = e.Value, x = l.forwardRef(({ className: o, children: s, ...a }, n) => /* @__PURE__ */ t.jsxs(
  e.Trigger,
  {
    ref: n,
    className: r(
      "flex h-9 w-full items-center justify-between whitespace-nowrap rounded-md border border-input bg-transparent px-3 py-2 text-sm shadow-sm ring-offset-background placeholder:text-muted-foreground focus:outline-none focus:ring-1 focus:ring-ring disabled:cursor-not-allowed disabled:opacity-50 [&>span]:line-clamp-1",
      o
    ),
    ...a,
    children: [
      s,
      /* @__PURE__ */ t.jsx(e.Icon, { asChild: !0, children: /* @__PURE__ */ t.jsx(m, { className: "h-4 w-4 opacity-50" }) })
    ]
  }
));
x.displayName = e.Trigger.displayName;
const d = l.forwardRef(({ className: o, ...s }, a) => /* @__PURE__ */ t.jsx(
  e.ScrollUpButton,
  {
    ref: a,
    className: r(
      "flex cursor-default items-center justify-center py-1",
      o
    ),
    ...s,
    children: /* @__PURE__ */ t.jsx(p, {})
  }
));
d.displayName = e.ScrollUpButton.displayName;
const i = l.forwardRef(({ className: o, ...s }, a) => /* @__PURE__ */ t.jsx(
  e.ScrollDownButton,
  {
    ref: a,
    className: r(
      "flex cursor-default items-center justify-center py-1",
      o
    ),
    ...s,
    children: /* @__PURE__ */ t.jsx(f, {})
  }
));
i.displayName = e.ScrollDownButton.displayName;
const h = l.forwardRef(({ className: o, children: s, position: a = "popper", ...n }, c) => /* @__PURE__ */ t.jsx(e.Portal, { children: /* @__PURE__ */ t.jsxs(
  e.Content,
  {
    ref: c,
    className: r(
      "relative z-50 max-h-96 min-w-[8rem] overflow-hidden rounded-md border bg-popover text-popover-foreground shadow-md data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 data-[side=bottom]:slide-in-from-top-2 data-[side=left]:slide-in-from-right-2 data-[side=right]:slide-in-from-left-2 data-[side=top]:slide-in-from-bottom-2",
      a === "popper" && "data-[side=bottom]:translate-y-1 data-[side=left]:-translate-x-1 data-[side=right]:translate-x-1 data-[side=top]:-translate-y-1",
      o
    ),
    position: a,
    ...n,
    children: [
      /* @__PURE__ */ t.jsx(d, {}),
      /* @__PURE__ */ t.jsx(
        e.Viewport,
        {
          className: r(
            "p-1",
            a === "popper" && "h-[var(--radix-select-trigger-height)] w-full min-w-[var(--radix-select-trigger-width)]"
          ),
          children: s
        }
      ),
      /* @__PURE__ */ t.jsx(i, {})
    ]
  }
) }));
h.displayName = e.Content.displayName;
const y = l.forwardRef(({ className: o, ...s }, a) => /* @__PURE__ */ t.jsx(
  e.Label,
  {
    ref: a,
    className: r("px-2 py-1.5 text-sm font-semibold", o),
    ...s
  }
));
y.displayName = e.Label.displayName;
const w = l.forwardRef(({ className: o, children: s, ...a }, n) => /* @__PURE__ */ t.jsxs(
  e.Item,
  {
    ref: n,
    className: r(
      "relative flex w-full cursor-default select-none items-center rounded-sm py-1.5 pl-2 pr-8 text-sm outline-none focus:bg-accent focus:text-accent-foreground data-[disabled]:pointer-events-none data-[disabled]:opacity-50",
      o
    ),
    ...a,
    children: [
      /* @__PURE__ */ t.jsx("span", { className: "absolute right-2 flex h-3.5 w-3.5 items-center justify-center", children: /* @__PURE__ */ t.jsx(e.ItemIndicator, { children: /* @__PURE__ */ t.jsx(u, { className: "h-4 w-4" }) }) }),
      /* @__PURE__ */ t.jsx(e.ItemText, { children: s })
    ]
  }
));
w.displayName = e.Item.displayName;
const g = l.forwardRef(({ className: o, ...s }, a) => /* @__PURE__ */ t.jsx(
  e.Separator,
  {
    ref: a,
    className: r("-mx-1 my-1 h-px bg-muted", o),
    ...s
  }
));
g.displayName = e.Separator.displayName;
export {
  S as Select,
  h as SelectContent,
  v as SelectGroup,
  w as SelectItem,
  y as SelectLabel,
  i as SelectScrollDownButton,
  d as SelectScrollUpButton,
  g as SelectSeparator,
  x as SelectTrigger,
  I as SelectValue
};
//# sourceMappingURL=index.es31.js.map
