import { j as a } from "./index.es69.js";
import * as s from "react";
import { cva as l } from "class-variance-authority";
import { cn as i } from "./index.es68.js";
const d = l(
  "relative w-full rounded-lg border px-4 py-3 text-sm [&>svg+div]:translate-y-[-3px] [&>svg]:absolute [&>svg]:left-4 [&>svg]:top-4 [&>svg]:text-foreground [&>svg~*]:pl-7",
  {
    variants: {
      variant: {
        default: "bg-background text-foreground",
        destructive: "border-destructive/50 text-destructive dark:border-destructive [&>svg]:text-destructive"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
), n = s.forwardRef(({ className: t, variant: e, ...r }, o) => /* @__PURE__ */ a.jsx(
  "div",
  {
    ref: o,
    role: "alert",
    className: i(d({ variant: e }), t),
    ...r
  }
));
n.displayName = "Alert";
const m = s.forwardRef(({ className: t, ...e }, r) => /* @__PURE__ */ a.jsx(
  "h5",
  {
    ref: r,
    className: i("mb-1 font-medium leading-none tracking-tight", t),
    ...e
  }
));
m.displayName = "AlertTitle";
const v = s.forwardRef(({ className: t, ...e }, r) => /* @__PURE__ */ a.jsx(
  "div",
  {
    ref: r,
    className: i("text-sm [&_p]:leading-relaxed", t),
    ...e
  }
));
v.displayName = "AlertDescription";
export {
  n as Alert,
  v as AlertDescription,
  m as AlertTitle
};
//# sourceMappingURL=index.es4.js.map
